2011年7月7日木曜日

jquery-scroll-followがjQuery 1.6で動かない

このblogでも詳細記事で使っているjquery.scrollfollow.js(配布元)がerrorを吐くようになっていたので調べてみた。

原因はjQuery 1.6だと動かないみたい。ここを参考に修正。

var parentHeight = parseInt( box.cont.attr( 'offsetHeight' ) );
var boxHeight = parseInt( box.attr( 'offsetHeight' ) + ( parseInt( box.css( 'marginTop' ) ) || 0 ) + ( parseInt( box.css( 'marginBottom' ) ) || 0 ) );

これを次のように変更。

var parentHeight = parseInt(box.cont.css('padding-top')) + parseInt(box.cont.css('height'));
var boxHeight = parseInt( (parseInt(box.css('padding-top')) + parseInt(box.css('height'))) + ( parseInt( box.css( 'marginTop' ) ) || 0 ) + ( parseInt( box.css( 'marginBottom' ) ) || 0 ) );

Google CDNを使って最新のVersionを取得しないようにしたほうがいいかもね。

 

< Related Posts >

Bloggerの記事にFacebook, Twitterのshare linkを表示
[jQuery]Scrollしても位置を固定のままにしてくれるPlugin
コメントを投稿
Related Posts Plugin for WordPress, Blogger...

Blog Archives